Bug 1564950 - VGA console text dies: WARNING: at drivers/gpio/gpiolib.c:2986 gpiod_set_value [NEEDINFO]
Summary: VGA console text dies: WARNING: at drivers/gpio/gpiolib.c:2986 gpiod_set_value
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: armv7hl
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 02:33 UTC by John Reiser
Modified: 2018-08-29 15:07 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:07:17 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
syslog of 4 boots over 2 days via "journalctl -a | gzip" [note: hostnames are BOGUS] (76.70 KB, application/x-gzip)
2018-04-09 02:33 UTC, John Reiser
no flags Details

Description John Reiser 2018-04-09 02:33:53 UTC
Created attachment 1419085 [details]
syslog  of 4 boots over 2 days via "journalctl -a | gzip"  [note: hostnames are BOGUS]

Description of problem: VGA console text dies (no video sync) about 24 seconds after power-on boot of Fedora-Minimal-armhfp-28-20180407.n.0-sda.raw.xz on RaspberryPi-3B (32-bit ARM).  The rest of the system works OK, and was diagnosed via ssh over the network.


Version-Release number of selected component (if applicable):
Fedora-Minimal-armhfp-28-20180407.n.0-sda.raw.xz
Linux host.domain 4.16.0-300.fc28.armv7hl #1 SMP Tue Apr 3 05:05:46 UTC 2018 armv7l armv7l armv7l GNU/Linux



How reproducible: every time (4 out of 4 so far)


Steps to Reproduce:
1. xzcat Fedora-Minimal-armhfp-28-20180407.n.0-sda.raw.xz  > /dev/sdX
2. boot uSDHC card in RaspBerryPi-3B
3.

Actual results: About 24 seconds after power-on, before login:, VGA console text disappears because video sync goes away.  This seems to be correlated with syslog:
=====
kernel: WARNING: CPU: 0 PID: 79 at drivers/gpio/gpiolib.c:2986 gpiod_set_value+0x44/0x5c 
kernel: Modules linked in: hci_uart brcmutil btbcm btintel btqca bluetooth cfg80211 rc_cec ecdh_generic rfkill gpio_raspberrypi_exp nvmem_core joydev bcm2835_thermal bcm2835_wdt bcm2835_rng leds_gpio smsc95xx usbnet mii dm_multipath vc4 snd_soc_core ac97_bus snd_pcm_dmaengine cec rc_core snd_pcm snd_timer snd soundcore drm_kms_helper mmc_block syscopyarea sysfillrect sysimgblt fb_sys_fops drm dwc2 sdhci_iproc sdhci_pltfm udc_core crc32_arm_ce bcm2835 sdhci i2c_bcm2835 pwm_bcm2835 bcm2835_dma phy_generic
kernel: CPU: 0 PID: 79 Comm: kworker/u8:1 Not tainted 4.16.0-300.fc28.armv7hl #1
kernel: Hardware name: BCM2835
kernel: Workqueue: events_unbound async_run_entry_fn
kernel: [<c0311d9c>] (unwind_backtrace) from [<c030c57c>] (show_stack+0x18/0x1c)
kernel: [<c030c57c>] (show_stack) from [<c0aa4840>] (dump_stack+0x80/0xa0)
kernel: [<c0aa4840>] (dump_stack) from [<c0351a94>] (__warn+0xdc/0xf8)
kernel: [<c0351a94>] (__warn) from [<c0351de8>] (warn_slowpath_null+0x40/0x4c)
kernel: [<c0351de8>] (warn_slowpath_null) from [<c06b900c>] (gpiod_set_value+0x44/0x5c)
kernel: [<c06b900c>] (gpiod_set_value) from [<bf599644>] (bcm_gpio_set_shutdown+0x14/0x1c [hci_uart])
kernel: [<bf599644>] (bcm_gpio_set_shutdown [hci_uart]) from [<bf5992ec>] (bcm_gpio_set_power+0x64/0x104 [hci_uart])
kernel: [<bf5992ec>] (bcm_gpio_set_power [hci_uart]) from [<bf599b68>] (bcm_serdev_probe+0x64/0xa0 [hci_uart])
kernel: [<bf599b68>] (bcm_serdev_probe [hci_uart]) from [<c07bf538>] (driver_probe_device+0x2c8/0x45c)
kernel: [<c07bf538>] (driver_probe_device) from [<c07bf754>] (__driver_attach+0x88/0xf8)
kernel: [<c07bf754>] (__driver_attach) from [<c07bd594>] (bus_for_each_dev+0x5c/0x80)
kernel: [<c07bd594>] (bus_for_each_dev) from [<c07bd850>] (driver_attach_async+0x14/0x4c)
kernel: [<c07bd850>] (driver_attach_async) from [<c0372ed8>] (async_run_entry_fn+0x8c/0x1a8)
kernel: [<c0372ed8>] (async_run_entry_fn) from [<c036a310>] (process_one_work+0x228/0x40c)
kernel: [<c036a310>] (process_one_work) from [<c036b05c>] (worker_thread+0x2d0/0x450)
kernel: [<c036b05c>] (worker_thread) from [<c036fc68>] (kthread+0x138/0x150)
kernel: [<c036fc68>] (kthread) from [<c03010e8>] (ret_from_fork+0x14/0x2c) 
kernel: Exception stack(0xee467fb0 to 0xee467ff8)
kernel: 7fa0:                                     00000000 00000000 00000000 00000000
kernel: 7fc0: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
kernel: 7fe0: 00000000 00000000 00000000 00000000 00000013 00000000
kernel: ---[ end trace 81a8fb41f0dfe9a5 ]---
=====


Expected results: VGA console text persists until login: and later.


Additional info:

Comment 1 Justin M. Forbes 2018-07-23 14:58:53 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2018-08-29 15:07:17 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.